KMON(8)

NAME
kmon - manage the kernel modules and monitor kernel activities

SYNOPSIS
kmon [FLAGS] [OPTIONS] [SUBCOMMANDS]

DESCRIPTION
kmon provides a text-based user interface for managing Linux kernel modules (kmod) and monitoring kernel activities.

USAGE:
Press '?' while running the terminal UI to see key bindings.

  FLAGS:

-h, --help
    Prints help information

-r, --reverse
    Reverse the kernel module list

-u, --unicode
    Show Unicode symbols for the block titles

-V, --version
    Prints version information

  OPTIONS:

-a, --accent-color <COLOR>
    Set the accent color using hex or color name [default: white]

-c, --color <COLOR>
    Set the main color using hex or color name [default: darkgray]

-t, --tickrate <MS>
    Set the refresh rate of the terminal [default: 250]

  SUBCOMMANDS:

help
    Prints this message or the help of the given subcommand(s)

sort
    Sort kernel modules

  INTERACTIVE COMMANDS

[?], F1
    Help

right/left, h/l
    Switch between blocks

up/down, k/j, alt-k/j
    Scroll up/down [selected block]

pgup/pgdown
    Scroll up/down [kernel activities]

</> Scroll up/down [module information]

alt-h/l
    Scroll right/left [kernel activities]

ctrl-t/b, home/end
    Scroll to top/bottom [module list]

alt-e/s
    Expand/shrink the selected block

ctrl-x
    Change the block position

ctrl-l/u, alt-c
    Clear the kernel ring buffer

[d], alt-d
    Show the dependent modules

[1]..[9]
    Jump to the dependent module

[\], tab, backtab
    Show the next kernel information

[/], s, enter
    Search a kernel module

[+], i, insert
    Load a kernel module

[-], u, backspace
    Unload the kernel module

[x], b, delete
    Blacklist the kernel module

ctrl-r, alt-r
    Reload the kernel module

m, o
    Show the options menu

y/n Execute/cancel the command

c/v Copy/paste

r, F5
    Refresh

q, ctrl-c/d, ESC
    Quit

BUGS
No known bugs.
Use "Issues" page for reporting bugs: <https://github.com/orhun/kmon/issues/>

AUTHOR
Orhun PARMAKSIZ <orhunparmaksiz@gmail.com>

COPYRIGHT
Copyright (C) 2020-2021 Orhun PARMAKSIZ

GNU General Public License v3.